## cdo 1.4.4.dfsg.1

=== debian/changelog ===
cdo (1.4.4.dfsg.1-2) unstable; urgency=low

  * Make build-dep on grib-api conditional so that we build on sparc, hppa
    and mips, where grib-api doesn't. Closes: #581801. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 May 2010 19:18:17 +0100

cdo (1.4.4.dfsg.1-1) unstable; urgency=low

  * Upstream release. 
  * no_sz.patch no longer needed; upstream fix.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 08 May 2010 16:04:20 +0100

cdo (1.4.3.dfsg.1-2) unstable; urgency=low

  * Enable GRIB-API support. Closes: #574955. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Mar 2010 12:20:07 +0000

cdo (1.4.3.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * New CDO Homepage. https://code.zmaw.de/projects/cdo 
  * Patch no_sz.patch: Don't require libsz for HDF5, as it cannot be included
     in Debian for patent reasons.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Mar 2010 11:07:53 +0000

cdo (1.4.1.dfsg.1-2) unstable; urgency=low

  * Build using ./configure rather than dh_auto_configure ; for some reason
    the latter is currently failing.
  * Change priority to extra, as we depend on libproj0, which is extra. 
  * Built with hdf-1.8.4 since -1 (Closes: #568220).

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Feb 2010 14:33:35 +0000

cdo (1.4.1.dfsg.1-1) unstable; urgency=low

  * New upstream release, with better netcdf support.
  * Build netcdf and hdf5-1.8.4
  * Move to Standards-Version: 3.8.4 , source format 3.0
  * Move cdbs to debhelper 7 style build 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Feb 2010 13:22:29 +0000

cdo (1.4.0.1~dfsg-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Nov 2009 13:30:48 +0000

cdo (1.3.2~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Move to Standards-Version: 3.8.2. No changes required.
  * Build with netcdf support. Closes: #538244.
  * Move to debhelper DH_COMPAT=7.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Jul 2009 12:56:22 +0100

cdo (1.3.1+dfsg-4) unstable; urgency=low

  * Add automake dependency (checked with pbuilder). Closes: 529086. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 May 2009 12:38:27 +0100

cdo (1.3.1+dfsg-3) unstable; urgency=low

  * Add autoconf dependency. Closes: #529013. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 May 2009 11:46:55 +0100

cdo (1.3.1+dfsg-2) unstable; urgency=low

  * Now use libproj. 
  * Added ${shlibs:Depenbds} for dependencies.
  * More docs: Add OPERATORS, NEWS, cdo.spec files. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 May 2009 16:55:32 +0100

cdo (1.3.1+dfsg-1) unstable; urgency=low

  * New Upstream release; Closes: #522772.
  * Remove pdf's from source to make it dfsg for release.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 May 2009 19:52:19 +0100

cdo (1.3.0-1) unstable; urgency=low

  * Initial Debian release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  6 Apr 2009 16:15:52 +0100

## cdo 2.5.1

=== libcdi/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.27 FATAL_ERROR )

message(VERBOSE "Entering libcdi")
project(cdilib VERSION 2.5.1 LANGUAGES C )
set(CMAKE_C_STANDARD 11)

include(CTest)
include(CheckIncludeFile)

# Finding libraries
### -------------- Pthread ---------------------------

option(CDI_PTHREAD "Use the pthread library [default=ON]" ON)
if(${CDI_PTHREAD})
  include(FindThreads)
  find_package(Threads REQUIRED)
  set_target_properties(Threads::Threads PROPERTIES THREADS_PREFER_PTHREAD_FLAG TRUE)
  list(APPEND cdi_compile_defs HAVE_PTHREAD=1)
  list(APPEND cdi_linked_libs pthread)
endif()

# enable default internal libs
option(CDI_LIBGRIB "GRIB support [default=ON]" ON)
if(${CDI_LIBGRIB})
  list(APPEND cdi_compile_defs HAVE_LIBGRIB=1)
endif()

option(CDI_LIBGRIBEX "Use the CGRIBEX library [default=ON]" ON)
if(${CDI_LIBGRIBEX})
  list(APPEND cdi_compile_defs LIBCGRIBEX=1)
endif()

option(CDI_EXTRA "Use the extra library [default=ON]" ON)
if(${CDI_EXTRA})
  list(APPEND cdi_compile_defs HAVE_LIBEXTRA=1)
endif()

option(CDI_IEG "Use the extra library [default=ON]" ON)
if(${CDI_IEG})
  list(APPEND cdi_compile_defs HAVE_LIBIEG=1)
endif()

option(CDI_SERVICE "Use the extra library [default=ON]" ON)
if(${CDI_SERVICE})
  list(APPEND cdi_compile_defs HAVE_LIBSERVICE=1)
endif()

# ecCodes
option(CDI_ECCODES "Use the eccodes library [default=ON]" ON)
if(${CDI_ECCODES} OR eccodes_ROOT)
  find_package(eccodes)
  if (${eccodes_FOUND})
    list(APPEND cdi_compile_defs HAVE_LIBGRIB_API=${eccodes_FOUND})
    message(VERBOSE "added compile definition HAVE_LIBGRIB_API=${eccodes_FOUND}")
    list(APPEND cdi_linked_libs eccodes)
  else()
    message(WARNING "eccodes not found, compiling without eccodes")
  endif ()
endif()

# NetCDF
option(CDI_NETCDF "Use the netcdf library [default=ON]" ON)
if(${CDI_NETCDF} OR netCDF_ROOT )
  find_package(netCDF COMPONENTS C REQUIRED)
  if (TARGET netCDF::netcdf)
    list(APPEND cdi_compile_defs
      HAVE_LIBNETCDF=${netCDF_FOUND}
      HAVE_LIBNC_DAP=${netCDF_FOUND}
      HAVE_NETCDF4=${netCDF_FOUND}
      HAVE_LIBGRIB_API=${netCDF_FOUND}
      HAVE_LIBGRIB=${netCDF_FOUND}
    )
    list(APPEND cdi_linked_libs netCDF::netcdf)
  else()
    message(WARNING "netcdf target not found, compiling without netcdf")
  endif ()
endif()

message(VERBOSE "looking for config.h in: ${PROJECT_BINARY_DIR}/src")

#adding subdirectories
## lib and general files
list(APPEND cdi_compile_defs CDI=1 CDI_SIZE_TYPE=size_t PACKAGE_NAME="${PROJECT_NAME}" VERSION="${CMAKE_PROJECT_VERSION}")
add_subdirectory(src)

#app
option(CDI_BUILD_APP "Build the app" ON)
if (CDI_BUILD_APP)
  add_subdirectory(app)
endif ()

#tests
if (BUILD_TESTING)
  add_subdirectory(tests)
endif ()

=== libcdi/app/CMakeLists.txt ===
add_executable(cdi
  cdi.c printinfo.c
)

target_include_directories(cdi PRIVATE
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
  $<INSTALL_INTERFACE:include
)

target_link_libraries(cdi PRIVATE cdilib ${cdi_linked_libs})
target_include_directories(cdi PRIVATE "${PROJECT_BINARY_DIR}/src/config.h")
target_compile_definitions(cdi PRIVATE  ${cdi_netcdf_definitions})

=== libcdi/src/CMakeLists.txt ===
list( APPEND cdi_src_files
  async_worker.c
  async_worker.h
  basetime.c
  basetime.h
  binary.c
  binary.h
  calendar.c
  calendar.h
  cdf.c
  cdf.h
  cdf_config.h
  cdf_filter.c
  cdf_filter.h
  cdf_int.c
  cdf_int.h
  cdf_lazy_grid.c
  cdf_lazy_grid.h
  cdf_read.c
  cdf_records.c
  cdf_util.c
  cdf_util.h
  cdf_write.c
  cdi.h
  cdi_across.c
  cdi_across.h
  cdi_att.c
  cdi_att.h
  cdi_cksum.c
  cdi_cksum.h
  cdi_datetime.c
  cdi_datetime.h
  cdi_error.c
  cdi_fdb.c
  cdi_fdb.h
  cdi_int.c
  cdi_int.h
  cdi_key.c
  cdi_key.h
  cdi_limits.h
  cdi_query.c
  cdi_util.c
  cdi_uuid.h
  cgribex.h
  cgribexlib.c
  cksum.c
  cksum.h
  dmemory.c
  dmemory.h
  error.c
  error.h
  exse.h
  extra.h
  extralib.c
  file.c
  file.h
  gaussian_latitudes.c
  get_num_missvals.c
  get_num_missvals.h
  grb_read.c
  grb_write.c
  gribapi.c
  gribapi.h
  gribapi_utilities.c
  gribapi_utilities.h
  grid.c
  grid.h
  ieg.h
  ieglib.c
  input_file.c
  input_file.h
  institution.c
  institution.h
  iterator.c
  iterator.h
  iterator_fallback.c
  iterator_fallback.h
  iterator_grib.c
  iterator_grib.h
  julian_date.c
  julian_date.h
  model.c
  model.h
  namespace.c
  namespace.h
  normalize_month.h
  referenceCounting.c
  referenceCounting.h
  resource_handle.c
  resource_handle.h
  serialize.c
  serialize.h
  service.h
  servicelib.c
  stream.c
  stream_cdf.h
  stream_cdf_i.c
  stream_cdf_o.c
  stream_cdf_postdef.h
  stream_cdf_time.c
  stream_cgribex.c
  stream_cgribex.h
  stream_ext.c
  stream_ext.h
  stream_grb.c
  stream_grb.h
  stream_gribapi.c
  stream_gribapi.h
  stream_ieg.c
  stream_ieg.h
  stream_read.c
  stream_record.c
  stream_scan.c
  stream_scan.h
  stream_srv.c
  stream_srv.h
  stream_var.c
  stream_write.c
  subtype.c
  subtype.h
  swap.c
  swap.h
  table.c
  table.h
  tablepar.h
  taxis.c
  taxis.h
  tsteps.c
  util.c
  varscan.c
  varscan.h
  version.c
  vlist.c
  vlist.h
  vlist_var.c
  vlist_var.h
  vlist_var_key.c
  vlist_var_pack.c
  zaxis.c
  zaxis.h
)
list( APPEND cdi_pio_files
  cdipio.h
  pio.c
  pio.h
  pio_cdf_int.c
  pio_cdf_int.h
  pio_client.c
  pio_client.h
  pio_comm.c
  pio_comm.h
  pio_conf.c
  pio_conf.h
  pio_dbuffer.c
  pio_dbuffer.h
  pio_dist_grid.c
  pio_dist_grid.h
  pio_id_set.h
  pio_idxlist_cache.c
  pio_idxlist_cache.h
  pio_impl.h
  pio_interface.c
  pio_interface.h
  pio_mpi_fw_at_all.c
  pio_mpi_fw_at_reblock.c
  pio_mpi_fw_ordered.c
  pio_mpinonb.c
  pio_posixasynch.c
  pio_posixfpguardsendrecv.c
  pio_posixnonb.c
  pio_record_send.c
  pio_roles.c
  pio_rpc.c
  pio_rpc.h
  pio_serialize.c
  pio_serialize.h
  pio_server.c
  pio_server.h
  pio_util.c
  pio_util.h
  pio_xmap_cache.c
  pio_xmap_cache.h
)

list( APPEND cdi_unknown
  cfortran.h
  getline.c
  make_fint.c
  resource_unpack.c
  resource_unpack.h
)

option(CDI_BUILD_UNKNOWN "Build unknown sources in libcdi" ON)
mark_as_advanced(CDI_BUILD_UNKNOWN)
if (CDI_BUILD_UNKNOWN)
  list(APPEND cdi_src_files ${cdi_unknown})
endif ()

# Support exporting all symbolds on Windows
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

add_library(cdilib
  ${cdi_src_files}
#  INSTALL_HEADERS_LIST  cdi.h
)

target_include_directories(cdilib PRIVATE "${PROJECT_BINARY_DIR}/src/config.h")
target_link_libraries(cdilib ${cdi_linked_libs})
target_compile_definitions(cdilib PRIVATE PACKAGE_NAME="${PROJECT_NAME}" VERSION="${CMAKE_PROJECT_VERSION}" ${cdi_compile_defs})

add_library(cdilib::cdilib ALIAS cdilib)

include(GNUInstallDirs)
install(FILES cdi.h calendar.h cdi_datetime.h julian_date.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
install(TARGETS cdilib
  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

include(CMakePackageConfigHelpers)
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cdi/cdi-config.cmake.in" "${CMAKE_BINARY_DIR}/cmake/cdi-config.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/cdi")
write_basic_package_version_file(
  "${CMAKE_BINARY_DIR}/cmake/cdi-config-version.cmake"
  VERSION "${PACKAGE_VERSION}"
  COMPATIBILITY SameMajorVersion)
install(
  FILES
    "${CMAKE_BINARY_DIR}/cmake/cdi-config.cmake"
    "${CMAKE_BINARY_DIR}/cmake/cdi-config-version.cmake"
  DESTINATION
    "${CMAKE_INSTALL_LIBDIR}/cmake/cdi")

=== libcdi/tests/CMakeLists.txt ===

add_executable(calendar_test1.run calendar_test1.c)
add_executable(cksum_read.run cksum_read.c )
add_executable(cksum_verify.run cksum_verify.c)
add_executable(cksum_write.run cksum_write.c)
add_executable(cksum_write_chunk.run cksum_write_chunk.c)
add_executable(deco2d_model.run deco2d_model.c)
add_executable(ensure_array_size.run ensure_array_size.c)
add_executable(pio_write.run pio_write.c)
add_executable(pio_write_setup_grid.run pio_write_setup_grid.c)
add_executable(simple_model.run simple_model.c)
add_executable(simple_model_helper.run simple_model_helper.c)
add_executable(stream_cksum.run stream_cksum.c)
add_executable(test_byteswap.run test_byteswap.c)
add_executable(test_cdf_read.run test_cdf_read.c)
add_executable(test_cdf_write.run test_cdf_write.c)
add_executable(test_grib.run test_grib.c)
add_executable(test_month_adjust.run test_month_adjust.c)
add_executable(test_resource_copy.run test_resource_copy.c)
add_executable(test_table.run test_table.c)

get_property(current_targets DIRECTORY ${dir} PROPERTY BUILDSYSTEM_TARGETS)
list(APPEND test_lib_src
  var_cksum.c
  ensure_array_size.c
  stream_cksum.c
  simple_model.c
  simple_model_helper.c
  pio_write_setup_grid.c
)

add_library(test_lib ${test_lib_src})
target_include_directories(test_lib PRIVATE ../src/)
target_link_libraries(test_lib PRIVATE cdilib ${cdi_linked_libs})

foreach(target ${current_targets})
  target_include_directories(${target} PRIVATE ../src/)
  target_link_libraries(${target} PRIVATE cdilib test_lib ${cdi_linked_libs})
  add_test(NAME ${target} COMMAND ${target})
  if(labels_${target})
    set_property(TEST ${target} PROPERTY LABELS labels_${target})
  endif()
endforeach()

## cdo 1.4.5.dfsg.1

=== debian/changelog ===
cdo (1.4.5.dfsg.1-1) unstable; urgency=low

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Jul 2010 09:04:06 +0100

=== debian/control ===
Source: cdo
Section: utils
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, libhdf5-serial-dev | libhdf5-dev, libproj-dev, autoconf, automake, libnetcdf-dev, 
 libgrib-api-dev [!mips !sparc !hppa]
Standards-Version: 3.8.4
Homepage: https://code.zmaw.de/projects/cdo

Package: cdo
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Climate Data Operators
 Climate Data Operators are a collection of command line Operators 
 to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
 netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.

=== debian/rules ===
#!/usr/bin/make -f

# The magic debhelper  rule
%:
	dh $@

CFLAGS += -fPIC

ARCH:=$(shell dpkg --print-architecture)
WITH_GRIB:= --with-grib-api=/usr

ifeq ($(ARCH), mips)
  WITH_GRIB:=
endif
ifeq ($(ARCH), hppa)
  WITH_GRIB:=
endif
ifeq ($(ARCH), sparc)
  WITH_GRIB:=
endif

override_dh_auto_clean:
	dh_auto_clean	
	find . -name Makefile.in -delete
	rm -f src/config.h.in aclocal.m4 config/depcomp config/install-sh config/ltmain.sh config/missing configure INSTALL

override_dh_auto_configure:
	autoreconf -if
	./configure --prefix=/usr --with-zlib=/usr --with-jasper=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr  $(WITH_GRIB)

## cdo 1.4.6.dfsg.1

=== debian/changelog ===
cdo (1.4.6.dfsg.1-4) unstable; urgency=low

  * jasper dependency must be conditional on mips, hppa, sparc.
    Closes: #597975. 
  * clean rule should also remove .deps that may be left behind on 
    previous builds.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Sep 2010 14:15:53 +0100

cdo (1.4.6.dfsg.1-3) unstable; urgency=low

  * grib-api dependency now requires libjasper to build. Closes: #597921. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Sep 2010 04:02:29 +0100

cdo (1.4.6.dfsg.1-2) unstable; urgency=low

  * Libtool now needed. Closes: #597838.
  * Standards-Version: 3.9.4 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Sep 2010 05:01:34 +0100

cdo (1.4.6.dfsg.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Sep 2010 15:58:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, libhdf5-serial-dev | libhdf5-dev, libproj-dev, autoconf, automake, libnetcdf-dev, 
- libgrib-api-dev [!mips !sparc !hppa]
-Standards-Version: 3.8.4
+ libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev 
+Standards-Version: 3.9.1
 Homepage: https://code.zmaw.de/projects/cdo
 
 Package: cdo

=== debian/rules ===
#!/usr/bin/make -f

# The magic debhelper  rule
%:
	dh $@

CFLAGS += -fPIC

ARCH:=$(shell dpkg --print-architecture)
WITH_GRIB:= --with-grib-api=/usr
WITH_JASPER:= --with-jasper=/usr

# grib-api not available on these arches; jasper is only needed for grib-api
ifeq ($(ARCH), mips)
  WITH_GRIB:=
  WITH_JASPER:=
endif
ifeq ($(ARCH), hppa)
  WITH_GRIB:=
  WITH_JASPER:=
endif
ifeq ($(ARCH), sparc)
  WITH_GRIB:=
  WITH_JASPER:=
endif

override_dh_auto_clean:
	dh_auto_clean	|| echo "distclean ok"
	find . -name Makefile.in -delete
	rm -f src/config.h.in aclocal.m4 config/depcomp config/install-sh config/ltmain.sh config/missing configure INSTALL
	rm -rf src/.deps

override_dh_auto_configure:
	autoreconf -if
	./configure --prefix=/usr --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr  $(WITH_GRIB) $(WITH_JASPER)

## cdo 1.4.7.dfsg.1

=== debian/changelog ===
cdo (1.4.7.dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Jan 2011 09:34:23 +0000

## cdo 1.5.1.dfsg.1

=== debian/changelog ===
cdo (1.5.1.dfsg.1-2) unstable; urgency=low

  * Remove alternate build-dep "| libhdf5-dev", build only works with 
    libhdf5-serial-dev for the moment.
  * --disable-cgribex needed to enable GRIB2 support. Closes: #633934.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jul 2011 23:47:02 +0100

cdo (1.5.1.dfsg.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jul 2011 13:10:33 +0100

cdo (1.5.0.dfsg.1-1) unstable; urgency=low

  * New upstream release. 
  * Standards-Version: 3.9.2. No changes required.
  * Use the Debian version of cfortran, rather than supply a copy. 
    Closes: #631015. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jun 2011 20:54:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, libhdf5-serial-dev | libhdf5-dev, libproj-dev, autoconf, automake, libnetcdf-dev, 
- libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev 
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, libhdf5-serial-dev, libproj-dev, autoconf, automake, libnetcdf-dev, 
+ libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran
+Standards-Version: 3.9.2
 Homepage: https://code.zmaw.de/projects/cdo
 
 Package: cdo

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CFLAGS += -fPIC
 
 ARCH:=$(shell dpkg --print-architecture)
-WITH_GRIB:= --with-grib-api=/usr
+WITH_GRIB:= --with-grib-api=/usr --disable-cgribex
 WITH_JASPER:= --with-jasper=/usr
 
 # grib-api not available on these arches; jasper is only needed for grib-api
@@ -27,10 +27,12 @@
 override_dh_auto_clean:
 	dh_auto_clean	|| echo "distclean ok"
 	find . -name Makefile.in -delete
+	find . -type l -delete
 	rm -f src/config.h.in aclocal.m4 config/depcomp config/install-sh config/ltmain.sh config/missing configure INSTALL
 	rm -rf src/.deps
 
 override_dh_auto_configure:
+	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
 	autoreconf -if
 	./configure --prefix=/usr --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr  $(WITH_GRIB) $(WITH_JASPER)
-
+

## cdo 1.5.2.dfsg.1

=== debian/changelog ===
cdo (1.5.2.dfsg.1-2) unstable; urgency=low

  * Build with mpicc when mpi IS set, not the opposite, in rules file. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2011 10:53:54 +0100

cdo (1.5.2.dfsg.1-1) unstable; urgency=low

  * New upstream release. 
  * Add LDFLAGS="-Wl,--as-needed" ; fix --with-hdf6 to --with-hdf5
  * Add "| libhdf5-dev" and optional code for an MPI version; 
    enable with DEB_BUILD_OPTIONS=mpi

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2011 10:27:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,14 @@
 # The magic debhelper  rule
 %:
 	dh $@
+
+# Use mpicc as compiler if mpi-defaults-dev is installed (and hence mpi dev packages)
+#defaults_file:=$(wildcard /usr/share/mpi-default-dev/*)
+ifneq (,$(findstring mpi,$(DEB_BUILD_OPTIONS)))
+        COND_CC:= "CC=mpicc"
+else
+        COND_CC:=
+endif
 
 CFLAGS += -fPIC
 
@@ -34,5 +42,8 @@
 override_dh_auto_configure:
 	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
 	autoreconf -if
-	./configure --prefix=/usr --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr  $(WITH_GRIB) $(WITH_JASPER)
+	LDFLAGS="-Wl,--as-needed"  \
+	  ./configure --prefix=/usr \
+		--with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
+		 $(WITH_GRIB) $(WITH_JASPER) $(COND_CC)

## cdo 1.5.3.dfsg.1

=== debian/changelog ===
cdo (1.5.3.dfsg.1-2) unstable; urgency=low

  * Install the contrib/ components for bash, zsh completion.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Nov 2011 10:56:58 +0000

cdo (1.5.3.dfsg.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Oct 2011 09:45:04 +0100

cdo (1.5.2.dfsg.1-4) unstable; urgency=low

  * CDI needs MPI version of HDF5 to build. Closes: #645545. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Oct 2011 11:15:54 +0100

cdo (1.5.2.dfsg.1-3) unstable; urgency=low

  * Enable and ship CDI library.
  * Multi-arch. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Oct 2011 17:53:49 +0100

=== debian/control ===
Source: cdo
Section: utils
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 8.1.3~), dh-buildinfo, libhdf5-mpi-dev, libproj-dev, autoconf, automake, libnetcdf-dev, 
 libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran
Standards-Version: 3.9.2
Homepage: https://code.zmaw.de/projects/cdo

Package: cdo
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcdi0 ( = ${binary:Version})
Description: Climate Data Operators
 Climate Data Operators are a collection of command line Operators 
 to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
 netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.

Package: libcdi0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Climate Data Interface (cdi) library
 CDI is a C and Fortran Interface to access Climate model Data.
 Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.

Package: libcdi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcdi0 (= ${binary:Version})
Multi-Arch: same
Description: Development files for the climate data interface library
 CDI is a C and Fortran Interface to access Climate model Data.
 Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.
 This package provides development libraries to build against CDI.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,14 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 # The magic debhelper  rule
 %:
-	dh $@
+	dh $@ 
 
-# Use mpicc as compiler if mpi-defaults-dev is installed (and hence mpi dev packages)
-#defaults_file:=$(wildcard /usr/share/mpi-default-dev/*)
-ifneq (,$(findstring mpi,$(DEB_BUILD_OPTIONS)))
-        COND_CC:= "CC=mpicc"
-else
-        COND_CC:=
-endif
+DESTDIR:=`pwd`/debian/tmp/
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 CFLAGS += -fPIC
 
@@ -43,7 +41,15 @@
 	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
 	autoreconf -if
 	LDFLAGS="-Wl,--as-needed"  \
-	  ./configure --prefix=/usr \
-		--with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
-		 $(WITH_GRIB) $(WITH_JASPER) $(COND_CC)
-	
+	  ./configure --prefix=/usr --libdir=$(LIBDIR) \
+		--enable-cdi-lib --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
+		 $(WITH_GRIB) $(WITH_JASPER) CC=mpicc
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_link -p libcdi0 $(LIBDIR)/libcdi.so.0.0.0  $(LIBDIR)/libcdi.so.0
+	dh_link -p libcdi-dev $(LIBDIR)/libcdi.so.0.0.0 $(LIBDIR)/libcdi.so
+	mkdir -p $(DESTDIR)/etc/bash_completion.d $(DESTDIR)//usr/share/zsh/functions/Completion/Linux
+	cp contrib/cdoCompletion.bash $(DESTDIR)/etc/bash_completion.d/cdo
+	cp contrib/cdoCompletion.zsh $(DESTDIR)//usr/share/zsh/functions/Completion/Linux/_cdo
+

## cdo 1.5.4+dfsg.1

=== debian/changelog ===
cdo (1.5.4+dfsg.1-5) testing-proposed-updates; urgency=low

   * Fix for data loss due to '--enable-cgribex' not enabled. Thanks to
    Marco Galli. Closes: #695009. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Dec 2012 21:42:43 +0000

cdo (1.5.4+dfsg.1-4) unstable; urgency=low

  * New upstream release.
  * Add lintian-override for multiarch (debhelper 9 version) warning.
  * Change to +dfsg name, thanks to Lintian.
  
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Feb 2012 13:57:35 +0000

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 CFLAGS += -fPIC
 
 ARCH:=$(shell dpkg --print-architecture)
-WITH_GRIB:= --with-grib-api=/usr --disable-cgribex
+WITH_GRIB:= --with-grib-api=/usr --enable-cgribex
 WITH_JASPER:= --with-jasper=/usr
 
 # grib-api not available on these arches; jasper is only needed for grib-api

## cdo 1.5.6.1+dfsg.1

=== debian/changelog ===
cdo (1.5.6.1+dfsg.1-3ubuntu1) raring; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Add -lm after -ljasper to LIBS in debian/rules, to allow cdo to build
      with ld --as-needed (Closes: #692651).

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 06 Dec 2012 14:40:16 +0200

cdo (1.5.6.1+dfsg.1-3) unstable; urgency=low

  * Fix for data loss due to '--enable-cgribex' not enabled. Thanks to 
    Marco Galli. Closes: #695009. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Dec 2012 14:30:24 +0000

cdo (1.5.6.1+dfsg.1-2ubuntu2) raring; urgency=low

  * Err, let's not link to libm statically (fixes FTBFS on non-x86).

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 09 Nov 2012 10:00:18 +0200

cdo (1.5.6.1+dfsg.1-2ubuntu1) raring; urgency=low

  * Add -lm after -ljasper to LIBS in debian/rules, to allow cdo to build with
    ld --as-needed (Closes: #692651).

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 08 Nov 2012 10:23:37 +0200

cdo (1.5.6.1+dfsg.1-2) unstable; urgency=low

  * Now need libpng12-dev, libcurl4-openssl-dev to be deliberately added
    to B-D. What used to automatically pull them?

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Sep 2012 18:11:52 +0100

cdo (1.5.6.1+dfsg.1-1) unstable; urgency=low

  * New upstream release 
  * Standards-Version: 3.9.3
  * Don't use MPI builds. PIO code not included yet.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Sep 2012 02:39:21 +0100

cdo (1.5.4+dfsg.1-5) unstable; urgency=low

  * Rebuild with netcdf, hdf5 for hdf5 transition.
  * Call dh_autoreconf rather than do it manually, so dh_clean now 
    works properly after a build. Add dependency on dh_autoreconf.
  * Add gfortran dependency, build Fortran ISO_C interface to libcdi. 
  * Patch to fix typos lintian found in cdo. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Feb 2012 13:29:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: cdo
 Section: utils
 Priority: extra
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 8.1.3~), dh-buildinfo, libhdf5-mpi-dev, libproj-dev, autoconf, automake, libnetcdf-dev, 
- libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper (>= 8.1.3~), dh-buildinfo, libproj-dev, autoconf, automake, libnetcdf-dev, gfortran, dh-autoreconf,
+ libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran,  libhdf5-serial-dev, libpng12-dev,
+ libcurl4-gnutls-dev | libcurl4-openssl-dev
+Standards-Version: 3.9.3
 Homepage: https://code.zmaw.de/projects/cdo
 
 Package: cdo

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 CFLAGS += -fPIC
+CPPFLAGS = -DgFortran
 
 ARCH:=$(shell dpkg --print-architecture)
 WITH_GRIB:= --with-grib-api=/usr --enable-cgribex
@@ -32,18 +33,29 @@
 
 override_dh_auto_clean:
 	dh_auto_clean	|| echo "distclean ok"
+	rm -f Makefile missing config.status config.log libcdi/tests/libcdi.a
+	rm -f config/compile config/mkinstalldirs config/config.guess config/config.sub
+	rm -f src/config.h.in aclocal.m4 config/depcomp config/install-sh config/ltmain.sh config/missing configure INSTALL
+	rm -f libcdi/INSTALL libcdi/aclocal.m4 m4/libtool.m4 m4/ltoptions.m4 m4/ltversion.m4
+	rm -f libcdi/m4/libtool.m4 libcdi/m4/ltoptions.m4 libcdi/m4/ltversion.m4 libcdi/configure
+	rm -f libcdi/config/config.guess libcdi/config/config.sub libcdi/config/depcomp libcdi/config/install-sh 
+	rm -f libcdi/config/ltmain.sh libcdi/config/missing libcdi/config/mkinstalldirs
 	find . -name Makefile.in -delete
 	find . -type l -delete
-	rm -f src/config.h.in aclocal.m4 config/depcomp config/install-sh config/ltmain.sh config/missing configure INSTALL
 	rm -rf src/.deps
+
 
 override_dh_auto_configure:
 	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
-	autoreconf -if
-	LDFLAGS="-Wl,--as-needed"  \
+	dh_autoreconf
+	LDFLAGS="-Wl,--as-needed"  
 	  ./configure --prefix=/usr --libdir=$(LIBDIR) \
 		--enable-cdi-lib --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
-		 $(WITH_GRIB) $(WITH_JASPER) CC=mpicc
+		--enable-iso-c-interface  \
+		 $(WITH_GRIB) $(WITH_JASPER)  FC=gfortran LIBS="-Wl,-Bstatic -lpng12 -ljasper -ljpeg -lz -Wl,-Bdynamic -lm -lcurl"
+	rm -f libtool libcdi/libtool
+	ln -sf /usr/bin/libtool libtool
+	ln -sf /usr/bin/libtool libcdi/libtool
 
 override_dh_auto_install:
 	dh_auto_install

## cdo 1.6.0+dfsg.1

=== debian/changelog ===
cdo (1.6.0+dfsg.1-4) unstable; urgency=low

  * Fix as-needed. Use dh_autoreconf. 
  * Disable tests, to fix FTBFS due to auto* tools build issue. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Jun 2013 21:09:17 +0100

cdo (1.6.0+dfsg.1-3) unstable; urgency=low

  * Add build declaration to silence warning.
  * Change Priorities to match override. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Jun 2013 13:25:32 +0100

cdo (1.6.0+dfsg.1-2) unstable; urgency=low

  * Need to add path explicitly to find cdo in python test case. 
  * Make cdo Priority: optional to match override.
  * release fixed FTBFS on amd64; Closes: #707366.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 May 2013 06:59:54 +0100

cdo (1.6.0+dfsg.1-1) unstable; urgency=low

  * Don't use -fPIE on amd64, arm*. FTBFS then. 
  * New Upstream. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Apr 2013 17:19:09 +0100

cdo (1.5.9+dfsg.1-4) unstable; urgency=low

  * Should be libpng12-dev. Closes: #696971, #697020.
    How did libpng15-dev build in 2 separate chroots & pbuilder?? 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Dec 2012 23:01:38 +0000

cdo (1.5.9+dfsg.1-3) unstable; urgency=low

  * Also need a dependency on libpng12-dev.
    New years promise: Build in a CLEAN chroot EVERY TIME. 
  * Debhelper depend (>= 9) now.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Dec 2012 19:00:55 +0000

cdo (1.5.9+dfsg.1-2) unstable; urgency=low

  * Add explicit dependency on multiple flavours of libcurl-*-dev.
    Closes: #696971.
  * Add "-lm" to link line for -as-needed on Ubuntu. Closes: #692651.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Dec 2012 12:08:26 +0000

cdo (1.5.9+dfsg.1-1) unstable; urgency=low

  * New upstream release. 
  * Standards-Version: 3.9.4. No changes required.
  * Apply hardening.
  * Now depend on libmagics++

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 29 Dec 2012 17:13:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: cdo
 Section: utils
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 8.1.3~), dh-buildinfo, libproj-dev, autoconf, automake, libnetcdf-dev, gfortran, dh-autoreconf,
- libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran,  libhdf5-serial-dev, libpng12-dev,
- libcurl4-gnutls-dev | libcurl4-openssl-dev
-Standards-Version: 3.9.3
+Priority: optional
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper (>= 9), dh-buildinfo, libproj-dev, autoconf, automake, libnetcdf-dev, gfortran, dh-autoreconf,
+ libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran,  libhdf5-serial-dev, libmagics++-dev,
+ libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev, libpng12-dev | libpng-dev
+Standards-Version: 3.9.4
 Homepage: https://code.zmaw.de/projects/cdo
 
 Package: cdo
@@ -21,6 +20,7 @@
 Package: libcdi0
 Section: libs
 Architecture: any
+Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -31,6 +31,7 @@
 Package: libcdi-dev
 Section: libdevel
 Architecture: any
+Priority: extra
 Depends: ${misc:Depends}, libcdi0 (= ${binary:Version})
 Multi-Arch: same
 Description: Development files for the climate data interface library

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --with autoreconf

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
TOPDIR=:=`pwd`

# To enable all, uncomment following line
DEB_BUILD_MAINT_OPTIONS:= hardening=+all
DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic -fPIC
export DEB_BUILD_MAINT_OPTIONS
export DEB_CFLAGS_MAINT_APPEND

CPPFLAGS += -DgFortran

ARCH:=$(shell dpkg --print-architecture)
WITH_GRIB:= --with-grib-api=/usr --disable-cgribex
WITH_JASPER:= --with-jasper=/usr

# export LIBTOOLIZE=true

# On amd64, arm*, don't do fPIE, only relro
ifeq ($(ARCH), amd64)
  export LDFLAGS= -Wl,-z,relro -Wl,-z,now
endif
ifeq ($(ARCH), armel)
  export LDFLAGS= -Wl,-z,relro -Wl,-z,now
endif
ifeq ($(ARCH), armhf)
  export LDFLAGS= -Wl,-z,relro -Wl,-z,now
endif

# grib-api not available on these arches; jasper is only needed for grib-api
ifeq ($(ARCH), mips)
  WITH_GRIB:=
  WITH_JASPER:=
endif
ifeq ($(ARCH), hppa)
  WITH_GRIB:=
  WITH_JASPER:=
endif
ifeq ($(ARCH), sparc)
  WITH_GRIB:=
  WITH_JASPER:=
endif

override_dh_auto_clean:
	dh_auto_clean	|| echo "distclean ok"
	#rm -f cdo.settings src/config.h  libtool libcdi/config.log libcdi/config.status src/stamp-h1 confdefs.h
	rm -f Makefile missing config.status config.log libcdi/tests/libcdi.a
	rm -f config/compile config/mkinstalldirs config/config.guess config/config.sub
	rm -f src/config.h.in aclocal.m4 config/depcomp config/install-sh config/missing configure INSTALL
	rm -f libcdi/INSTALL libcdi/aclocal.m4 m4/libtool.m4 m4/ltoptions.m4 m4/ltversion.m4
	rm -f libcdi/m4/libtool.m4 libcdi/m4/ltoptions.m4 libcdi/m4/ltversion.m4 libcdi/configure
	rm -f libcdi/config/config.guess libcdi/config/config.sub libcdi/config/depcomp libcdi/config/install-sh 
	rm -f libcdi/config/missing libcdi/config/mkinstalldirs
	find . -name Makefile.in -delete
	find . -name Makefile -delete
	find . -type l -delete
	rm -rf src/.deps


override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
	  ./configure --prefix=/usr --libdir=$(LIBDIR) \
		--enable-cdi-lib --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
		--enable-iso-c-interface   --with-magics=/usr \
		 $(WITH_GRIB) $(WITH_JASPER)  FC=gfortran \
		LIBS="-Wl,-Bstatic -lpng12 -ljasper -lm -ljpeg -lz -Wl,-Bdynamic -lcurl" \
		LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
	#rm -f libtool libcdi/libtool
	#ln -sf /usr/bin/libtool libtool
	#ln -sf /usr/bin/libtool libcdi/libtool

override_dh_auto_install:
	dh_auto_install
	dh_link -p libcdi0 $(LIBDIR)/libcdi.so.0.0.0  $(LIBDIR)/libcdi.so.0
	dh_link -p libcdi-dev $(LIBDIR)/libcdi.so.0.0.0 $(LIBDIR)/libcdi.so
	mkdir -p $(DESTDIR)/etc/bash_completion.d $(DESTDIR)//usr/share/zsh/functions/Completion/Linux
	cp contrib/cdoCompletion.bash $(DESTDIR)/etc/bash_completion.d/cdo
	cp contrib/cdoCompletion.zsh $(DESTDIR)//usr/share/zsh/functions/Completion/Linux/_cdo

override_dh_auto_test:
	# Need to define path to 'cdo' for python tests
	# export PATH=$(PATH):$(TOPDIR)/src make check
	#test/Makefile.am:5: error: using '$(top_srcdir)' in TESTS is currently broken: '$(top_srcdir)/test/test_info.py'
	@echo "Tests currently disabled"

## cdo 1.6.1+dfsg.1

=== debian/changelog ===
cdo (1.6.1+dfsg.1-3) unstable; urgency=low

  * Don't build-dep (or use) magics++ on mips, as magics++ requires grib-api
    which doesn't build on mips (yet).  

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Sep 2013 09:53:27 +0100

cdo (1.6.1+dfsg.1-2) unstable; urgency=low

  * Add updated watch file. 
  * grib-api now works on sparc. Re-enable dependency here.
  * Don't use --as-needed and -fPIE on powerpc. armel. Closes: #720298.
  * Building with serial hdf5: Closes: #712829.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Sep 2013 07:53:59 +0100

cdo (1.6.1+dfsg.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Aug 2013 22:16:49 +0100

## cdo 1.6.2+dfsg.1

=== debian/changelog ===
cdo (1.6.2+dfsg.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Nov 2013 10:26:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), dh-buildinfo, libproj-dev, autoconf, automake, libnetcdf-dev, gfortran, dh-autoreconf,
- libgrib-api-dev [!mips !sparc !hppa], libtool, libjasper-dev, cfortran,  libhdf5-serial-dev, libmagics++-dev,
+ libgrib-api-dev [!mips !hppa], libtool, libjasper-dev, cfortran,  libhdf5-serial-dev, libmagics++-dev [!mips !hppa],
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev, libpng12-dev | libpng-dev
 Standards-Version: 3.9.4
 Homepage: https://code.zmaw.de/projects/cdo

=== debian/rules ===
--- 
+++ 
@@ -22,32 +22,39 @@
 ARCH:=$(shell dpkg --print-architecture)
 WITH_GRIB:= --with-grib-api=/usr --disable-cgribex
 WITH_JASPER:= --with-jasper=/usr
+AS_NEEDED= -Wl,--as-needed
+WITH_MAGICS:= --with-magics=/usr
 
 # export LIBTOOLIZE=true
 
-# On amd64, arm*, don't do fPIE, only relro
+# On powerpc, amd64, arm*, don't do fPIE, only relro
 ifeq ($(ARCH), amd64)
   export LDFLAGS= -Wl,-z,relro -Wl,-z,now
 endif
 ifeq ($(ARCH), armel)
   export LDFLAGS= -Wl,-z,relro -Wl,-z,now
+  export AS_NEEDED=
+  export CFLAGS= -g -O2 -Wall
 endif
 ifeq ($(ARCH), armhf)
   export LDFLAGS= -Wl,-z,relro -Wl,-z,now
+endif
+ifeq ($(ARCH),powerpc)
+  export LDFLAGS= -Wl,-z,relro -Wl,-z,now
+  export AS_NEEDED=
+  export CFLAGS= -g -O2 -Wall
 endif
 
 # grib-api not available on these arches; jasper is only needed for grib-api
 ifeq ($(ARCH), mips)
   WITH_GRIB:=
   WITH_JASPER:=
+  WITH_MAGICS:=
 endif
 ifeq ($(ARCH), hppa)
   WITH_GRIB:=
   WITH_JASPER:=
-endif
-ifeq ($(ARCH), sparc)
-  WITH_GRIB:=
-  WITH_JASPER:=
+  WITH_MAGICS:=
 endif
 
 override_dh_auto_clean:
@@ -73,10 +80,10 @@
 	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
 	  ./configure --prefix=/usr --libdir=$(LIBDIR) \
 		--enable-cdi-lib --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
-		--enable-iso-c-interface   --with-magics=/usr \
-		 $(WITH_GRIB) $(WITH_JASPER)  FC=gfortran \
+		--enable-iso-c-interface  \
+		 $(WITH_GRIB) $(WITH_JASPER) $(WITH_MAGICS)  FC=gfortran \
 		LIBS="-Wl,-Bstatic -lpng12 -ljasper -lm -ljpeg -lz -Wl,-Bdynamic -lcurl" \
-		LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
+		LDFLAGS="$(LDFLAGS) $(AS_NEEDED)"
 	#rm -f libtool libcdi/libtool
 	#ln -sf /usr/bin/libtool libtool
 	#ln -sf /usr/bin/libtool libcdi/libtool

## cdo 1.6.4+dfsg.1

=== debian/changelog ===
cdo (1.6.4+dfsg.1-4ubuntu1) utopic; urgency=medium

  * Don't statically link libraries.
  * Fix build failure on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Sep 2014 14:18:33 +0200

cdo (1.6.4+dfsg.1-4) unstable; urgency=medium

  * Force rebuild against  hdf5 libs in unstable 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2014 09:48:07 +0100

cdo (1.6.4+dfsg.1-3) unstable; urgency=low

  [ Gilles Fillipini ]
  * Support hdf5 1.8.13 new packaging layout. Closes: #756660.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Aug 2014 06:49:11 +0100

cdo (1.6.4+dfsg.1-2) unstable; urgency=medium

  * Add limits.h; UCHAR_MAX not defined elsewhere on some archs
   (fixes FTBFS on mips, powerpc, ...)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jul 2014 19:30:45 +0100

cdo (1.6.4+dfsg.1-1) unstable; urgency=medium

  *  New upstream release.
  *  Use xz compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 05 Jul 2014 14:28:48 +0100

cdo (1.6.3+dfsg.1-2) unstable; urgency=medium

  * Include Build-Dep. on netcdf-bin. Without nc-config, cdo does not link in
    netcdf4 properly. Closes: #720444.
  * Enable build on libpng12 | libpng16. Closes: #743389.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Apr 2014 23:25:02 +0100

cdo (1.6.3+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Move to Standards-Version: 3.9.5.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Feb 2014 19:08:11 +0000

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,12 @@
   WITH_MAGICS:=
 endif
 
+ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
+  WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
+else
+  WITH_HDF5:=--with-hdf5=/usr
+endif
+
 override_dh_auto_clean:
 	dh_auto_clean	|| echo "distclean ok"
 	#rm -f cdo.settings src/config.h  libtool libcdi/config.log libcdi/config.status src/stamp-h1 confdefs.h
@@ -79,11 +85,11 @@
 override_dh_auto_configure:
 	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
 	  ./configure --prefix=/usr --libdir=$(LIBDIR) \
-		--enable-cdi-lib --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr --with-hdf5=/usr \
+		--enable-cdi-lib --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr $(WITH_HDF5) \
 		--enable-iso-c-interface  \
 		 $(WITH_GRIB) $(WITH_JASPER) $(WITH_MAGICS)  FC=gfortran \
-		LIBS="-Wl,-Bstatic -lpng12 -ljasper -lm -ljpeg -lz -Wl,-Bdynamic -lcurl" \
 		LDFLAGS="$(LDFLAGS) $(AS_NEEDED)"
+#		LIBS="-lpng -ljasper -lm -ljpeg -lz -lcurl" \
 	#rm -f libtool libcdi/libtool
 	#ln -sf /usr/bin/libtool libtool
 	#ln -sf /usr/bin/libtool libcdi/libtool

## cdo 1.6.5+dfsg.1

=== debian/changelog ===
cdo (1.6.5+dfsg.1-1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Fix build failure on ppc64el.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Nov 2014 14:32:19 +0000

cdo (1.6.5+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6. No changes required.
  * Updated patches. u_char_fix.patch no longer needed.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Oct 2014 07:42:54 +0000

cdo (1.6.4+dfsg.1-5) unstable; urgency=medium

  * Drop building with static libs (not needed anymore?)
    Closes: #761187.
  * Ack. bug fixed in 1.6.4 release. Closes: #744274.
  * Fix for expr_run() definition conflict spotted by gotocc project.
    Closes: #747001.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Sep 2014 10:24:13 +0100

cdo (1.6.4+dfsg.1-4ubuntu2) vivid; urgency=medium

  * Rebuild against libhdf5-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Nov 2014 14:20:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,17 @@
 Source: cdo
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), dh-buildinfo, libproj-dev, autoconf, automake, libnetcdf-dev, gfortran, dh-autoreconf,
- libgrib-api-dev [!mips !hppa], libtool, libjasper-dev, cfortran,  libhdf5-serial-dev, libmagics++-dev [!mips !hppa],
- libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev, libpng12-dev | libpng-dev
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper (>= 9), dh-buildinfo, libproj-dev, autoconf, automake,
+ libnetcdf-dev, netcdf-bin,
+ libhdf5-serial-dev, 
+ gfortran, dh-autoreconf,
+ libgrib-api-dev [!mips !hppa], libtool, libjasper-dev, cfortran,
+ libmagics++-dev [!mips !hppa],
+ libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev,
+ libpng12-dev | libpng-dev
+Standards-Version: 3.9.5
 Homepage: https://code.zmaw.de/projects/cdo
 
 Package: cdo

## cdo 1.6.6+dfsg.1

=== debian/changelog ===
cdo (1.6.6+dfsg.1-3) unstable; urgency=medium

  * Re-include ppc64el build fix patch.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Jul 2015 07:19:25 +0100

cdo (1.6.6+dfsg.1-2) unstable; urgency=medium

  * deregister.patch: remove obsolete 'register' statements from some code. 
    Finding the address of a register strictly verboten and breaks 
    ppc64el code. 
  * Additional fix ore reproducible build: set hostname, username to 
    constant values. 
  * Now link against gribapi on mips as it is available
  * Enable libfftw3 support
  * Enable --with-curl explicitly

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Jul 2015 10:11:01 +0100

cdo (1.6.6+dfsg.1-1) unstable; urgency=medium

  * New upstream release 
  * Remove timestamps to make build bit-reproducible
  * Minor build fix for str2uuid: remove broken forward declaration
  * Add Vcs-Git: to control file, pointing to debian-science repo

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Jun 2015 09:00:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: cdo
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), dh-buildinfo, libproj-dev, autoconf, automake,
- libnetcdf-dev, netcdf-bin,
- libhdf5-serial-dev, 
+ libnetcdf-dev, netcdf-bin, libhdf5-serial-dev,  
+ libfftw3-dev, libudunits2-dev,
  gfortran, dh-autoreconf,
- libgrib-api-dev [!mips !hppa], libtool, libjasper-dev, cfortran,
- libmagics++-dev [!mips !hppa],
+ libgrib-api-dev [!hppa], libtool, libjasper-dev, cfortran,
+ libmagics++-dev [!hppa],
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev,
  libpng12-dev | libpng-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://code.zmaw.de/projects/cdo
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/cdo.git
 
 Package: cdo
 Section: utils

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-TOPDIR=:=`pwd`
 
 # To enable all, uncomment following line
 DEB_BUILD_MAINT_OPTIONS:= hardening=+all
@@ -24,8 +23,6 @@
 WITH_JASPER:= --with-jasper=/usr
 AS_NEEDED= -Wl,--as-needed
 WITH_MAGICS:= --with-magics=/usr
-
-# export LIBTOOLIZE=true
 
 # On powerpc, amd64, arm*, don't do fPIE, only relro
 ifeq ($(ARCH), amd64)
@@ -46,11 +43,6 @@
 endif
 
 # grib-api not available on these arches; jasper is only needed for grib-api
-ifeq ($(ARCH), mips)
-  WITH_GRIB:=
-  WITH_JASPER:=
-  WITH_MAGICS:=
-endif
 ifeq ($(ARCH), hppa)
   WITH_GRIB:=
   WITH_JASPER:=
@@ -86,13 +78,11 @@
 	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h 
 	  ./configure --prefix=/usr --libdir=$(LIBDIR) \
 		--enable-cdi-lib --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr $(WITH_HDF5) \
-		--enable-iso-c-interface  \
+		--enable-iso-c-interface  --with-fftw3 --with-curl=/usr --with-udunits2=/usr \
 		 $(WITH_GRIB) $(WITH_JASPER) $(WITH_MAGICS)  FC=gfortran \
+		LIBS=" -lpng -ljasper -lm -ljpeg -lz -lcurl" \
 		LDFLAGS="$(LDFLAGS) $(AS_NEEDED)"
-#		LIBS="-lpng -ljasper -lm -ljpeg -lz -lcurl" \
-	#rm -f libtool libcdi/libtool
-	#ln -sf /usr/bin/libtool libtool
-	#ln -sf /usr/bin/libtool libcdi/libtool
+		# LIBS="-Wl,-Bstatic -lpng -ljasper -lm -ljpeg -lz -Wl,-Bdynamic -lcurl" 
 
 override_dh_auto_install:
 	dh_auto_install
@@ -104,6 +94,6 @@
 
 override_dh_auto_test:
 	# Need to define path to 'cdo' for python tests
-	# export PATH=$(PATH):$(TOPDIR)/src make check
+	# export PATH=$(PATH):$(CURDIR)/src make check
 	#test/Makefile.am:5: error: using '$(top_srcdir)' in TESTS is currently broken: '$(top_srcdir)/test/test_info.py'
 	@echo "Tests currently disabled"
